#ifndef INC_GTSEPARATOR_H
#define INC_GTSEPARATOR_H

#include "gtwidget.h"

/************************************************************************\
*
* GtSeparator class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtSeparator : public GtWidget
{
public:
		/* Standard */
	GtSeparator(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtSeparator"); }
	sbool IsSubClassOf(char *cn);
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
protected:
		/* Instance variables */
	ubyte orient,stype;
};

extern GtSeparator *GtMkSeparator(char *n,GtManager *p,GtTag *tgs);
extern GtSeparator *GtMkSeparator(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTSEPARATOR_H */
